> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List proofs

> List all proofs for a specific program with pagination support.



## OpenAPI

````yaml GET /v1/proofs
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/proofs:
    get:
      tags:
        - proofs
      summary: List Proofs
      description: List all proofs for a specific program with pagination support.
      operationId: list_proofs_v1_proofs_get
      parameters:
        - name: program_id
          in: query
          required: true
          schema:
            type: string
            title: Program Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Page Size
      responses:
        '200':
          description: Proofs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginationResponse_FeProofResponse_'
        '404':
          description: Program not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PaginationResponse_FeProofResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FeProofResponse'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      type: object
      required:
        - items
        - pagination
      title: PaginationResponse[FeProofResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FeProofResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        state:
          $ref: '#/components/schemas/ProvingJobState'
        proof_type:
          $ref: '#/components/schemas/ProofType'
        program_uuid:
          type: string
          title: Program Uuid
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if the proof failed
          examples:
            - ''
        launched_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Launched At
        terminated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminated At
        created_by:
          type: string
          title: Created By
        cells_used:
          type: integer
          title: Cells Used
        cost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cost
        machine_type:
          type: string
          title: Machine Type
        proof_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Proof Size
          description: Proof size in bytes
        num_instructions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Instructions
          description: Number of instructions executed
      type: object
      required:
        - id
        - created_at
        - state
        - proof_type
        - program_uuid
        - launched_at
        - terminated_at
        - created_by
        - cells_used
        - cost
        - machine_type
      title: FeProofResponse
      description: User-facing proof response model.
    PaginationInfo:
      properties:
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        pages:
          type: integer
          title: Pages
      type: object
      required:
        - total
        - page
        - page_size
        - pages
      title: PaginationInfo
      description: Pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProvingJobState:
      type: string
      enum:
        - Queued
        - Executing
        - Executed
        - AppProving
        - AppProvingDone
        - PostProcessing
        - Failed
        - Succeeded
      title: ProvingJobState
    ProofType:
      type: string
      enum:
        - app
        - stark
        - evm
      title: ProofType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````